package com.utopiaindustries.model.ctp;

import java.math.BigDecimal;
import java.util.List;

public class JobCardItemWrapper {

    private long jobCardId;
    private long jobCardItemId;
    private List<CutPiece> pieces;
    private BigDecimal actualProduction;
    private int perBundleQuantity;
    private boolean cuttingComplete;

    public long getJobCardId() {
        return jobCardId;
    }

    public void setJobCardId(long jobCardId) {
        this.jobCardId = jobCardId;
    }

    public long getJobCardItemId() {
        return jobCardItemId;
    }

    public void setJobCardItemId(long jobCardItemId) {
        this.jobCardItemId = jobCardItemId;
    }

    public List<CutPiece> getPieces() {
        return pieces;
    }

    public void setPieces(List<CutPiece> pieces) {
        this.pieces = pieces;
    }

    public BigDecimal getActualProduction() {
        return actualProduction;
    }

    public void setActualProduction(BigDecimal actualProduction) {
        this.actualProduction = actualProduction;
    }

    public int getPerBundleQuantity() {
        return perBundleQuantity;
    }

    public void setPerBundleQuantity(int perBundleQuantity) {
        this.perBundleQuantity = perBundleQuantity;
    }

    public boolean getCuttingComplete() {
        return cuttingComplete;
    }

    public void setCuttingComplete(boolean finalReceived) {
        this.cuttingComplete = finalReceived;
    }

    @Override
    public String toString() {
        return "JobCardItemWrapper{" +
                "jobCardId=" + jobCardId +
                ", jobCardItemId=" + jobCardItemId +
                ", pieces=" + pieces +
                ", actualProduction=" + actualProduction +
                '}';
    }
}
